Subject: Re: [PATCH ethtool v2] ethtool: fix argument check in do_srxfh function to prevent segmentation fault

From: Petr Machata <[email-masked]>
Date: Thu, 8 Aug 2024 10:09:37 +0200

Gwangrok Baek <[email-masked]> writes:

> Ensure that do_srxfh function in ethtool.c checks for the presence of
> additional arguments when context or xfrm parameter is provided before
> performing strcmp. This prevents segmentation faults caused by missing
> arguments.
>
> Without this patch, running 'ethtool -X DEVNAME [ context | xfrm ]' without
> additional arguments results in a segmentation fault due to an invalid
> strcmp operation.
>
> Fixes: f5d55b967e0c ("ethtool: add support for extra RSS contexts and
> RSS steering filters")

As Jakub wrote on v1, the Fixes: tag should not be line-wrapped.